rte_pdcp_hdr.h(3)

NAME
rte_pdcp_hdr.h

SYNOPSIS

#include <rte_byteorder.h>

  Data Structures

struct rte_pdcp_cp_data_pdu_sn_12_hdr
struct rte_pdcp_up_data_pdu_sn_12_hdr
struct rte_pdcp_up_data_pdu_sn_18_hdr
struct rte_pdcp_up_ctrl_pdu_hdr

  Macros

#define RTE_PDCP_CTRL_PDU_SIZE_MAX 9000u
#define RTE_PDCP_MAC_I_LEN 4

  Enumerations

enum rte_pdcp_ctrl_pdu_type
enum rte_pdcp_pdu_type

Detailed Description

PDCP-related defines

Based on - ETSI TS 138 323 V17.1.0 (2022-08) https://www.etsi.org/deliver/etsi_ts/138300_138399/138323/17.01.00_60/ts_138323v170100p.pdf

Definition in file rte_pdcp_hdr.h.

Macro Definition Documentation

  #define RTE_PDCP_CTRL_PDU_SIZE_MAX 9000u
4.3.1

Indicate the maximum supported size of a PDCP Control PDU.

Definition at line 24 of file rte_pdcp_hdr.h.

  #define RTE_PDCP_MAC_I_LEN 4
6.3.4 MAC-I

Indicate the size of MAC-I in PDCP PDU.

Definition at line 31 of file rte_pdcp_hdr.h.

Enumeration Type Documentation

  enum rte_pdcp_ctrl_pdu_type
Indicate type of control information included in the corresponding PDCP Control PDU.

Definition at line 37 of file rte_pdcp_hdr.h.

  enum rte_pdcp_pdu_type
6.3.7 D/C

This field indicates whether the corresponding PDCP PDU is a PDCP Data PDU or a PDCP Control PDU.

Definition at line 50 of file rte_pdcp_hdr.h.

Author

Generated automatically by Doxygen for DPDK from the source code.